Bug 240526 - File conflicts on upgrade
File conflicts on upgrade
Status: CLOSED DUPLICATE of bug 240517
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 04:43 EDT by Bastien Nocera
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 05:54:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-05-18 04:43:34 EDT
With today's upgrades:
yum -y update
Loading "installonlyn" plugin
Setting up Update Process
kernel                    100% |=========================|  951 B    00:00     
primary.xml.gz            100% |=========================| 2.1 kB    00:00     
kernel    : ################################################## 6/6
extras-development        100% |=========================| 2.1 kB    00:00     
ftp://ftp.solnet.ch/mirror/fedora/linux/core/development/i386/os/repodata/repomd.xml:
[Errno 4] IOError: [Errno ftp error] timed out
Trying other mirror.
development               100% |=========================| 1.1 kB    00:00     
primary.xml.gz            100% |=========================| 2.5 MB    00:02     
developmen: ################################################## 7309/7309
Resolving Dependencies
--> Running transaction check
filelists.xml.gz          100% |=========================| 6.1 MB    00:05     
---> Package libxml2-python.i386 0:2.6.28-2 set to be updated
---> Package kernel-devel.i686 0:2.6.21-1.3167.fc7 set to be updated
---> Package libxml2.i386 0:2.6.28-2 set to be updated
---> Package gnome-power-manager.i386 0:2.18.2-4.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.6-7.fc7 set to be updated
---> Package xml-common.noarch 0:0.6.3-20.fc7 set to be updated
---> Package kdebase.i386 6:3.5.6-10.fc7 set to be updated
---> Package glibc-devel.i386 0:2.6-1 set to be updated
---> Package control-center-devel.i386 1:2.18.0-16.fc7 set to be updated
---> Package sgml-common.noarch 0:0.6.3-20.fc7 set to be updated
---> Package yum-metadata-parser.i386 0:1.1.0-2.fc7 set to be updated
---> Package gdm.i386 1:2.18.0-14.fc7 set to be updated
---> Package loudmouth.i386 0:1.2.2-2.fc7 set to be updated
---> Package kernel-headers.i386 0:2.6.21-1.3163.fc7 set to be updated
---> Package kernel.i686 0:2.6.21-1.3167.fc7 set to be updated
---> Package glibc-common.i386 0:2.6-1 set to be updated
---> Package redhat-artwork.i386 0:7.0.0-8.fc7 set to be updated
---> Package glibc-headers.i386 0:2.6-1 set to be updated
filelists.xml.gz          100% |=========================| 146 kB    00:00     
---> Package nscd.i386 0:2.6-1 set to be updated
---> Package xdg-user-dirs.i386 0:0.8-1.fc7 set to be updated
---> Package glibc.i686 0:2.6-1 set to be updated
---> Package libxml2-devel.i386 0:2.6.28-2 set to be updated
---> Package intltool.i386 0:0.35.5-3.fc7 set to be updated
--> Processing Dependency: kde-settings-kdm for package: kdebase
--> Processing Dependency: libIlmImf.so.4 for package: kdelibs
--> Processing Dependency: kde-settings for package: kdebase
--> Processing Dependency: libjasper.so.1 for package: kdelibs
--> Processing Dependency: kde-settings >= 3.5 for package: kdelibs
--> Processing Dependency: redhat-artwork-kde >= 7.0.0-8 for package: kdebase
--> Processing Dependency: libHalf.so.4 for package: kdelibs
--> Processing Dependency: libIlmImf.so.4 for package: kdebase
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package redhat-artwork-kde.i386 0:7.0.0-8.fc7 set to be updated
---> Package OpenEXR.i386 0:1.4.0a-3.fc6 set to be updated
---> Package kde-settings-kdm.noarch 0:3.5-23.fc7 set to be updated
---> Package jasper.i386 0:1.900.1-1.fc7 set to be updated
---> Package kde-settings.noarch 0:3.5-23.fc7 set to be updated
--> Processing Dependency: libfltk.so.1.1 for package: OpenEXR
--> Processing Dependency: libglut.so.3 for package: jasper
--> Processing Dependency: libfltk_gl.so.1.1 for package: OpenEXR
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package fltk.i386 0:1.1.8-0.3.r5750.fc7 set to be updated
---> Package freeglut.i386 0:2.4.0-11.fc7 set to be updated
--> Running transaction check
---> Package kernel-devel.i686 0:2.6.21-1.3144.fc7 set to be erased
---> Package kernel.i686 0:2.6.21-1.3144.fc7 set to be erased

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel                  i686       2.6.21-1.3167.fc7  kernel             16 M
 kernel-devel            i686       2.6.21-1.3167.fc7  kernel            4.6 M
Updating:
 control-center-devel    i386       1:2.18.0-16.fc7  development        44 k
 gdm                     i386       1:2.18.0-14.fc7  development       4.3 M
 glibc                   i686       2.6-1            development       5.3 M
 glibc-common            i386       2.6-1            development        18 M
 glibc-devel             i386       2.6-1            development       2.0 M
 glibc-headers           i386       2.6-1            development       610 k
 gnome-power-manager     i386       2.18.2-4.fc7     development       2.8 M
 intltool                i386       0.35.5-3.fc7     development       121 k
 kdebase                 i386       6:3.5.6-10.fc7   development        28 M
 kdelibs                 i386       6:3.5.6-7.fc7    development        18 M
 kernel-headers          i386       2.6.21-1.3163.fc7  development       655 k
 libxml2                 i386       2.6.28-2         development       810 k
 libxml2-devel           i386       2.6.28-2         development       2.1 M
 libxml2-python          i386       2.6.28-2         development       698 k
 loudmouth               i386       1.2.2-2.fc7      development        59 k
 nscd                    i386       2.6-1            development       159 k
 redhat-artwork          i386       7.0.0-8.fc7      development       6.1 M
 sgml-common             noarch     0.6.3-20.fc7     development        40 k
 xdg-user-dirs           i386       0.8-1.fc7        development        31 k
 xml-common              noarch     0.6.3-20.fc7     development       5.9 k
 yum-metadata-parser     i386       1.1.0-2.fc7      development        25 k
Removing:
 kernel                  i686       2.6.21-1.3144.fc7  installed          46 M
 kernel-devel            i686       2.6.21-1.3144.fc7  installed          14 M
Installing for dependencies:
 OpenEXR                 i386       1.4.0a-3.fc6     development       416 k
 fltk                    i386       1.1.8-0.3.r5750.fc7  development       424 k
 freeglut                i386       2.4.0-11.fc7     development       142 k
 jasper                  i386       1.900.1-1.fc7    development       173 k
 kde-settings            noarch     3.5-23.fc7       development        15 k
 kde-settings-kdm        noarch     3.5-23.fc7       development        15 k
 redhat-artwork-kde      i386       7.0.0-8.fc7      development       559 k

Transaction Summary
=============================================================================
Install      9 Package(s)         
Update      21 Package(s)         
Remove       2 Package(s)         

Total download size: 112 M
Downloading Packages:
(1/30): intltool-0.35.5-3 100% |=========================| 121 kB    00:00     
(2/30): libxml2-devel-2.6 100% |=========================| 2.1 MB    00:02     
(3/30): glibc-2.6-1.i686. 100% |=========================| 5.3 MB    00:05     
(4/30): xdg-user-dirs-0.8 100% |=========================|  31 kB    00:00     
(5/30): nscd-2.6-1.i386.r 100% |=========================| 159 kB    00:00     
(6/30): kde-settings-3.5- 100% |=========================|  15 kB    00:00     
(7/30): glibc-headers-2.6 100% |=========================| 610 kB    00:00     
(8/30): redhat-artwork-7. 100% |=========================| 6.1 MB    00:06     
(9/30): jasper-1.900.1-1. 100% |=========================| 173 kB    00:00     
(10/30): glibc-common-2.6 100% |=========================|  18 MB    00:17     
(11/30): kernel-2.6.21-1. 100% |=========================|  16 MB    00:30     
(12/30): kernel-headers-2 100% |=========================| 655 kB    00:00     
(13/30): freeglut-2.4.0-1 100% |=========================| 142 kB    00:00     
(14/30): kde-settings-kdm 100% |=========================|  15 kB    00:00     
(15/30): loudmouth-1.2.2- 100% |=========================|  59 kB    00:00     
(16/30): OpenEXR-1.4.0a-3 100% |=========================| 416 kB    00:00     
(17/30): gdm-2.18.0-14.fc 100% |=========================| 4.3 MB    00:04     
(18/30): yum-metadata-par 100% |=========================|  25 kB    00:00     
(19/30): sgml-common-0.6. 100% |=========================|  40 kB    00:00     
(20/30): fltk-1.1.8-0.3.r 100% |=========================| 424 kB    00:00     
(21/30): control-center-d 100% |=========================|  44 kB    00:00     
(22/30): glibc-devel-2.6- 100% |=========================| 2.0 MB    00:02     
(23/30): kdebase-3.5.6-10 100% |=========================|  28 MB    00:28     
(24/30): xml-common-0.6.3 100% |=========================| 5.9 kB    00:00     
(25/30): kdelibs-3.5.6-7. 100% |=========================|  18 MB    00:28     
(26/30): redhat-artwork-k 100% |=========================| 559 kB    00:00     
(27/30): gnome-power-mana 100% |=========================| 2.8 MB    00:02     
(28/30): libxml2-2.6.28-2 100% |=========================| 810 kB    00:00     
(29/30): kernel-devel-2.6 100% |=========================| 4.6 MB    00:09     
(30/30): libxml2-python-2 100% |=========================| 698 kB    00:00     
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /etc/kde/kdm/Xaccess conflicts between attempted installs of
kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7
  file /etc/kde/kdm/Xsession conflicts between attempted installs of
kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7
  file /etc/kde/kdm/Xsetup conflicts between attempted installs of
kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7
  file /etc/kde/kdm/Xwilling conflicts between attempted installs of
kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7
  file /etc/kde/kdm/backgroundrc conflicts between attempted installs of
kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7
  file /etc/kde/kdm/kdmrc conflicts between attempted installs of
kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7
  file /usr/share/config/kdm conflicts between attempted installs of
kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7

I don't even have kdm installed, I believe.
Comment 1 David Kovalsky 2007-05-18 05:24:12 EDT
Seems very similar to bug 240517, anyway, my results:

[root@kovinek ~]# yum --disablerepo=atrpms list updates
Loading "installonlyn" plugin
Loading "changelog" plugin
Loading "kernel-module" plugin
Updated Packages
kdebase.i386                             6:3.5.6-10.fc7         fedora-base
kdelibs.i386                             6:3.5.6-7.fc7          fedora-base
[root@kovinek ~]# yum --disablerepo=atrpms update
Loading "installonlyn" plugin
Loading "changelog" plugin
Loading "kernel-module" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package kdebase.i386 6:3.5.6-10.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.6-7.fc7 set to be updated
--> Processing Dependency: kde-settings-kdm for package: kdebase
--> Processing Dependency: libIlmImf.so.4 for package: kdelibs
--> Processing Dependency: kde-settings for package: kdebase
--> Processing Dependency: libIlmImf.so.4 for package: kdebase
--> Processing Dependency: kde-settings >= 3.5 for package: kdelibs
--> Processing Dependency: redhat-artwork-kde >= 7.0.0-8 for package: kdebase
--> Processing Dependency: libHalf.so.4 for package: kdelibs
--> Processing Dependency: libjasper.so.1 for package: kdelibs
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package kde-settings-kdm.noarch 0:3.5-23.fc7 set to be updated
---> Package kde-settings.noarch 0:3.5-23.fc7 set to be updated
---> Package jasper.i386 0:1.900.1-1.fc7 set to be updated
---> Package redhat-artwork-kde.i386 0:7.0.0-8.fc7 set to be updated
---> Package OpenEXR.i386 0:1.4.0a-3.fc6 set to be updated
--> Processing Dependency: libfltk.so.1.1 for package: OpenEXR
--> Processing Dependency: libfltk_gl.so.1.1 for package: OpenEXR
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package fltk.i386 0:1.1.8-0.3.r5750.fc7 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 kdebase                 i386       6:3.5.6-10.fc7   fedora-base        28 M
 kdelibs                 i386       6:3.5.6-7.fc7    fedora-base        18 M
Installing for dependencies:
 OpenEXR                 i386       1.4.0a-3.fc6     fedora-base       416 k
 fltk                    i386       1.1.8-0.3.r5750.fc7  fedora-base       424 k
 jasper                  i386       1.900.1-1.fc7    fedora-base       173 k
 kde-settings            noarch     3.5-23.fc7       fedora-base        15 k
 kde-settings-kdm        noarch     3.5-23.fc7       fedora-base        15 k
 redhat-artwork-kde      i386       7.0.0-8.fc7      fedora-base       559 k

Transaction Summary
=============================================================================
Install      6 Package(s)
Update       2 Package(s)
Remove       0 Package(s)

Total download size: 48 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/config/kdm conflicts between attempted installs of
kdebase-3.5.6-10.fc7 and kde-settings-kdm-3.5-23.fc7
  file /usr/share/config/kdm/Xaccess conflicts between attempted installs of
kdebase-3.5.6-10.fc7 and kde-settings-kdm-3.5-23.fc7
  file /usr/share/config/kdm/Xsession conflicts between attempted installs of
kdebase-3.5.6-10.fc7 and kde-settings-kdm-3.5-23.fc7
  file /usr/share/config/kdm/Xsetup conflicts between attempted installs of
kdebase-3.5.6-10.fc7 and kde-settings-kdm-3.5-23.fc7
  file /usr/share/config/kdm/Xwilling conflicts between attempted installs of
kdebase-3.5.6-10.fc7 and kde-settings-kdm-3.5-23.fc7
  file /usr/share/config/kdm/backgroundrc conflicts between attempted installs
of kdebase-3.5.6-10.fc7 and kde-settings-kdm-3.5-23.fc7
  file /usr/share/config/kdm/kdmrc conflicts between attempted installs of
kdebase-3.5.6-10.fc7 and kde-settings-kdm-3.5-23.fc7

Error Summary
-------------

Comment 2 Bastien Nocera 2007-05-18 05:54:39 EDT
Same problem indeed, closing as a dupe.

*** This bug has been marked as a duplicate of 240517 ***

Note You need to log in before you can comment on or make changes to this bug.